Subject: bug#27193: 25.2; tmm should use completing-read-default

From: Ryan Thompson <[email-masked]>
Date: Fri, 02 Jun 2017 23:08:38 +0000

On Fri, Jun 2, 2017 at 6:19 PM Drew Adams <[email-masked]> wrote:

> Ido's completion behavior is as far from that of
> vanilla `completing-read' as is Tmm's completion behavior
> ("the result").
>

This is kind of my point. If someone calls ido-completing-read, you
wouldn't expect it to do something different based on the value of
completing-read-function, even if it ido used completing-read internally
(which it might have actually done in the past, but currently does not),
because by calling ido-completing-read the code has already specified it
wants ido completion. Similarly, tmm is implementing a very different
behavior from completing-read that is only recognizable as regular
completion if you specifically go looking for leaks in the abstraction, and
for the same reason I don't think tmm should be paying attention to
completing-read-function.